<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg_f4"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="兑换成功" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_rewards_white_bottom_15conner_bg"
                    android:orientation="vertical">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/iv_rewards_payment_success_top_bg"
                        android:gravity="center_horizontal"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/d_30dp"
                            android:src="@drawable/iv_rewards_payment_success_paid_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/d_8dp"
                            android:text="积分兑换成功"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_17sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:id="@+id/tv_payment_success_total_point"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="600"
                            android:textColor="@color/app_blue"
                            android:textSize="@dimen/d_30sp" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_15dp">

                        <com.guadou.cs_cptservices.widget.CustomRound6ImageView
                            android:id="@+id/iv_payment_success_promotion_image"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:src="@color/gray"
                            app:conner_radius_left_bottom="0dp"
                            app:conner_radius_left_top="@dimen/d_8dp"
                            app:conner_radius_right_bottom="0dp"
                            app:conner_radius_right_top="@dimen/d_8dp"
                            app:layout_constraintDimensionRatio="345:228"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            tools:ignore="MissingConstraints" />

                    </androidx.constraintlayout.widget.ConstraintLayout>


                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_payment_success_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginTop="@dimen/d_20dp"
                        android:layout_marginBottom="@dimen/d_20dp"
                        android:text="Cute children multifunctional umbrella"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_16sp" />

                </LinearLayout>


                <!--分割线-->
                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_10dp"
                    android:src="@color/page_bg_f4" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_rewards_white_15conner_bg"
                    android:orientation="vertical">

                    <!--Redeem deal at-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_15dp"
                            android:src="@drawable/iv_promotion_rewards_redeem_at" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:text="Redeem deal at"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_16sp" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_payment_success_redeem_location"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:layout_marginBottom="@dimen/d_15dp"
                        android:paddingLeft="@dimen/d_15dp"
                        android:text="Available in 2 more locations"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:id="@+id/tv_payment_success_see_more_location"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_40dp"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_15dp"
                        android:layout_marginBottom="@dimen/d_20dp"
                        android:background="@drawable/shape_gray_bg_with_blue_border_line_5conner"
                        android:gravity="center"
                        android:text="See more locations"
                        android:textColor="@color/app_blue" />

                </LinearLayout>

                <!--分割线-->
                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_10dp"
                    android:src="@color/page_bg_f4" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_rewards_white_15conner_bg"
                    android:orientation="vertical">

                    <!--Redeem from-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_15dp"
                            android:src="@drawable/iv_promotion_rewards_redeem_from" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:text="Redeem from"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_16sp" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_payment_success_redeem_from"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:layout_marginBottom="@dimen/d_15dp"
                        android:paddingLeft="@dimen/d_15dp"
                        android:text="17 Mar 2020 until 15 Jul 2020"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>


                <!--分割线-->
                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_10dp"
                    android:src="@color/page_bg_f4" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_rewards_white_15conner_bg"
                    android:orientation="vertical">

                    <!--Date & Time:-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_15dp"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingRight="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Date &#038; Time:"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_15sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:id="@+id/tv_payment_success_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="21 Jun 2021 20:18"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_15sp" />


                    </LinearLayout>

                    <!--分割线-->
                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <!--Transaction ID:-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_15dp"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingRight="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Transaction ID:"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_15sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:id="@+id/tv_payment_success_transaction_id"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="PRO0021837HY"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_15sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingTop="@dimen/d_20dp"
                    android:paddingBottom="@dimen/d_20dp">

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_payment_success_check_my_rewards"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_40dp"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_15dp"
                        android:background="@color/app_blue"
                        android:gravity="center"
                        android:text="Check My Rewards"
                        android:textColor="@color/white"
                        android:textSize="@dimen/d_15sp" />

                </LinearLayout>

            </LinearLayout>

        </ScrollView>

    </LinearLayout>

</layout>